[FFmpeg-devel] [PATCH] Dynamic plugins loading

Felipe Contreras felipe.contreras
Sat Nov 6 13:46:11 CET 2010

On Sat, Nov 6, 2010 at 2:29 PM, Nicolas George
<nicolas.george at normalesup.org> wrote:
> Le sextidi 16 brumaire, an CCXIX, Felipe Contreras a ?crit?:
>> Which dummy library are you talking about?
> libx264fail, which is API- and ABI-compatible with libx264, has no
> patent-infringing code, and does nothing useful.

That has nothing to do with the issue at hand:
 1) FFmpeg unencumbered
 2) FFmpeg with all codecs

A dummy library doesn't enter the picture.

>> ? ? ? ? ? ? ? ? ?without removing the first one.
> Why add this constraint? It serves no technical or user-interface purpose.

See the automatic codec install:

The user should be able to just say "yes" for the new codec support to
be installed, and it should be easy to just remove the second package,
thus removing the extra codec support.

This is already in place.

Felipe Contreras

More information about the ffmpeg-devel mailing list